# -*- coding: utf-8; -*-
"""
rattail-nationbuilder setup script
"""

import os
from setuptools import setup, find_packages


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, 'rattail_nationbuilder', '_version.py')).read())
README = open(os.path.join(here, 'README.md')).read()


setup(
    name = "rattail-nationbuilder",
    version = __version__,
    author = "Lance Edgar",
    author_email = "lance@edbob.org",
    url = "https://rattailproject.org/",
    license = "GNU GPL v3",
    description = "Rattail integration package for NationBuilder",
    long_description = README,

    classifiers = [
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Topic :: Office/Business',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],

    install_requires = [
        'rattail',

        # TODO: these may be needed to build/release package
        #'build',
        #'invoke',
        #'twine',
    ],
    packages = find_packages(),
    include_package_data = True,

    entry_points = {
    },
)
